Subject: Re: bug#5727: 23.1.92; Clicking size-indicator-mode indicator gives wrong menu

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 27 Apr 2016 23:30:52 +0200

"Drew Adams" <[email-masked]> writes:

> Click the size-indicator-mode indicator (e.g `Top') in the mode line. The menu
> shown is wrong - it is the same menu as is shown when you click the line or
> column number.
>
> It should instead have the menu item `Toggle Size Indicator Mode'.
>
> If the aim was to have some way to turn on line and column number display when
> these are both off, then you might add those menu items to the one above (to
> toggle size indicator mode). 
>
> But even then this is the wrong approach. You should not click Peter to modify
> Paul.

I think it's fine to have that menu on "Top", too, because you can't get
the modes back on again otherwise.  But perhaps `size-indication-mode'
should also be in `mode-line-column-line-number-mode-map'?  Any objections?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no